### Hierarchy

- ProcessNode

## Index

### Constructors

- constructor

### Properties

- executionGroupId
- identityId
- nodeId
- processId

### Methods

- createFromSpecification
- isCurrentProcessNode

## Constructors

### constructor

- new ProcessNode(executionGroupId: string, identityId: string, processId: string, nodeId: string): ProcessNode

- - Defined in lib/renderable/rating/ProcessNode.ts:7

  #### Parameters

  - ##### executionGroupId: string

  - ##### identityId: string

  - ##### processId: string

  - ##### nodeId: string

  #### Returns ProcessNode

## Properties

### executionGroupId

executionGroupId: string

- Defined in lib/renderable/rating/ProcessNode.ts:4

### identityId

identityId: string

- Defined in lib/renderable/rating/ProcessNode.ts:5

### nodeId

nodeId: string

- Defined in lib/renderable/rating/ProcessNode.ts:7

### processId

processId: string

- Defined in lib/renderable/rating/ProcessNode.ts:6

## Methods

### Static createFromSpecification

- createFromSpecification(spec: ISpecification): ProcessNode | null

- - Defined in lib/renderable/rating/ProcessNode.ts:25

  #### Parameters

  - ##### spec: ISpecification

  #### Returns ProcessNode | null

### Static isCurrentProcessNode

- isCurrentProcessNode(object: object): boolean

- - Defined in lib/renderable/rating/ProcessNode.ts:17

  #### Parameters

  - ##### object: object

  #### Returns boolean

Generated using TypeDoc